cascading.flow.stream.duct

## Class Fork<Incoming,Outgoing>

- java.lang.Object
- - cascading.flow.stream.duct.Duct<Incoming,Outgoing>
  - - cascading.flow.stream.duct.Fork<Incoming,Outgoing>

Direct Known Subclasses:
  ParallelFork

    public class Fork<Incoming,Outgoing>
    extends Duct<Incoming,Outgoing>

### Field Summary

Fields
`protected Duct[]` `allNext`

### Fields inherited from class cascading.flow.stream.duct.Duct

`next`

### Constructor Summary

Constructors
Constructor and Description
`Fork(Duct[] allNext)`

### Method Summary

Methods
`void` `complete(Duct previous)`
`Duct[]` `getAllNext()`
`Duct` `getNext()`
`void` `receive(Duct previous, int ordinal, Incoming incoming)`
`void` `start(Duct previous)`

### Methods inherited from class cascading.flow.stream.duct.Duct

`bind, cleanup, getNextFor, initialize, prepare, receiveFirst, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### allNext

    protected final Duct[] allNext

### Constructor Detail

#### Fork

    public Fork(Duct[] allNext)

### Method Detail

#### getAllNext

    public Duct[] getAllNext()

#### getNext

    public Duct getNext()

Overrides:
  `getNext` in class `Duct<Incoming,Outgoing>`

#### start

    public void start(Duct previous)

Overrides:
  `start` in class `Duct<Incoming,Outgoing>`

#### receive

    public void receive(Duct previous,
               int ordinal,
               Incoming incoming)

Specified by:
  `receive` in class `Duct<Incoming,Outgoing>`

#### complete

    public void complete(Duct previous)

Overrides:
  `complete` in class `Duct<Incoming,Outgoing>`